<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ page import="net.sz600.system.*" %>
<%@ include file="/sessionInfoWeixin.jsp"%>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimum-scale=1.0, maximum-scale=1.0" />
<meta name="apple-mobile-web-app-capable" content="yes" />
<meta name="format-detection" content="telephone=no" />
</head>
<body>
<BASE target="_self">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
<%
    //获取提交的参数
    String name = SzConvert.toSpaceStr(request.getParameter("name"));


		BdUserSelect bdUserSelect = new BdUserSelect();
    String str[] = bdUserSelect.getInfo(name);
    
    //
    String userName = str[4];
    String userId = str[5];
    String departName = str[6];
    String departId = str[7];
    String postName = str[8];
    String postId = str[9];
    String selectType = str[10];
    String sUrl = "";
    if (selectType.equals("0")) {
    	//单选：暂时不支持职务单选    	
    	sUrl = "../../share/organize/user_win_app.jsp?type=all";
    } else {
    	//多选：只选职务时，最好能隐藏部门和职务
    	sUrl = "../../share/organize/user_win2_app.jsp?type=all";
    }
    
    if (!userName.equals("")) {
    	sUrl += "&objName=formUpdate." + userName;
    }
    if (!userId.equals("")) {
    	sUrl += "&objId=formUpdate." + userId;
    }
    if (!departName.equals("")) {
    	sUrl += "&objDescName=formUpdate." + departName;
    }
    if (!departId.equals("")) {
    	sUrl += "&objDesc=formUpdate." + departId;
    }    
    if (!postName.equals("")) {
    	sUrl += "&objPostName=formUpdate." + postName;
    }
    if (!postId.equals("")) {
    	sUrl += "&objPostId=formUpdate." + postId;
    }  
    response.sendRedirect(sUrl);  	
%>
